MySQL 5.5.46

Requests for RPMS, or new coding projects related to server administration, Plesk, security, or anything else you can think of.
Imaging
Forum Regular
Forum Regular
Posts: 333
Joined: Sat Sep 25, 2010 2:46 pm

MySQL 5.5.46

Unread post by Imaging »

Could the atomic 5.5.x MySQL packages (for CentOS 5.x, 6.x, etc.) be updated to 5.5.46 (appears to be some CVEs associated with the release)?

Thanks.
scott
Atomicorp Staff - Site Admin
Atomicorp Staff - Site Admin
Posts: 8330
Joined: Wed Dec 31, 1969 8:00 pm
Location: earth
Contact:

Re: MySQL 5.5.46

Unread post by scott »

Going out to the repos now, thanks!
Imaging
Forum Regular
Forum Regular
Posts: 333
Joined: Sat Sep 25, 2010 2:46 pm

Re: MySQL 5.5.46

Unread post by Imaging »

Thanks!
rowlanda
New Forum User
New Forum User
Posts: 4
Joined: Tue Feb 26, 2013 7:41 am
Location: United States

Re: MySQL 5.5.46

Unread post by rowlanda »

I'm getting some conflicts on this update between the x86_64 and i386 versions of the mysql files. I've been doing the recommended yum updates for over a year and this is the first time I've had this problem - I haven't intentionally done anything to change the mysql install, so just wondering if anyone has some insights on why the problem this time? All other art repo updates have been installed as they appeared.

Transaction Check Error:
file /usr/share/man/man1/my_print_defaults.1.gz from install of mysql-5.5.46-31.el5.art.x86_64 conflicts with file from package mysql-5.5.44-30.el5.art.i386
file /usr/share/man/man1/mysql.1.gz from install of mysql-5.5.46-31.el5.art.x86_64 conflicts with file from package mysql-5.5.44-30.el5.art.i386
file /usr/share/man/man1/mysql_config.1.gz from install of mysql-5.5.46-31.el5.art.x86_64 conflicts with file from package mysql-5.5.44-30.el5.art.i386
file /usr/share/man/man1/mysql_find_rows.1.gz from install of mysql-5.5.46-31.el5.art.x86_64 conflicts with file from package mysql-5.5.44-30.el5.art.i386
file /usr/share/man/man1/mysql_waitpid.1.gz from install of mysql-5.5.46-31.el5.art.x86_64 conflicts with file from package mysql-5.5.44-30.el5.art.i386
file /usr/share/man/man1/mysqlaccess.1.gz from install of mysql-5.5.46-31.el5.art.x86_64 conflicts with file from package mysql-5.5.44-30.el5.art.i386
file /usr/share/man/man1/mysqladmin.1.gz from install of mysql-5.5.46-31.el5.art.x86_64 conflicts with file from package mysql-5.5.44-30.el5.art.i386
file /usr/share/man/man1/mysqldump.1.gz from install of mysql-5.5.46-31.el5.art.x86_64 conflicts with file from package mysql-5.5.44-30.el5.art.i386
file /usr/share/man/man1/mysqlshow.1.gz from install of mysql-5.5.46-31.el5.art.x86_64 conflicts with file from package mysql-5.5.44-30.el5.art.i386
file /usr/share/man/man1/mysqlslap.1.gz from install of mysql-5.5.46-31.el5.art.x86_64 conflicts with file from package mysql-5.5.44-30.el5.art.i386
scott
Atomicorp Staff - Site Admin
Atomicorp Staff - Site Admin
Posts: 8330
Joined: Wed Dec 31, 1969 8:00 pm
Location: earth
Contact:

Re: MySQL 5.5.46

Unread post by scott »

Looks like youve got a mix of 32 and 64 bit packages on the system
rowlanda
New Forum User
New Forum User
Posts: 4
Joined: Tue Feb 26, 2013 7:41 am
Location: United States

Re: MySQL 5.5.46

Unread post by rowlanda »

Hi Scott,
Thanks for the reply - yes, I agree it looks like there is a mix of 32 and 64 bit.

I'm trying to figure out how that happened since to my recollection I've only done the recommended yum updates and this is the first time a mysql update failed.

I did some Google searching and it sounds like unwinding this is a "manual process" without much guidance. Since it's a working production server I really don't want to mess it up.

I'll keep looking, but if anyone knows of a how-to on cleaning this up, I'd appreciate a pointer.

Thanks,
Rowland
tomfet
New Forum User
New Forum User
Posts: 1
Joined: Thu Nov 12, 2015 3:34 pm
Location: Columbus, Ohio USA

Re: MySQL 5.5.46

Unread post by tomfet »

rowlanda wrote: I'll keep looking, but if anyone knows of a how-to on cleaning this up, I'd appreciate a pointer.
I had the same exact list of errors, and stumbled on an easy solution: `yum upgrade mysql` instead of yum update. It worked error-free, upgrading from 5.5.44 to 5.5.46; I also did `yum erase mysql.i386` just before, but I'm not sure that's necessary, since the 'upgrade' command reinstalled that part of the package, saying, "Installing for dependencies."

No idea why "upgrade" should work for a minor update; nor how to report errors like this to the repository.

hth
Post Reply